# Define the kmod package name here.
%define kmod_name aacraid

# Define the tarball serial number here.
%define serial 40700

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 3.10.0-123.el7.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 1.2.1
Release: 5%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.adaptec.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: x86_64

# Sources.
Source0:  http://download.adaptec.com/raid/aac/linux/%{kmod_name}-linux-src-%{version}-%{serial}.tgz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el7.sh
Source15: ELRepo-%{kmod_name}-modules

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -n %{kmod_name}-%{version}-%{serial}
rpm2cpio %{kmod_name}-%{version}-%{serial}.src.rpm | %{__cpio} -Bcdimu
%{__mkdir} %{kmod_name}_source
pushd %{kmod_name}_source >/dev/null
%{__tar} -zxf ../%{kmod_name}_source.tgz
%{__chmod} 664 *
popd >/dev/null
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD/%{kmod_name}_source

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} %{kmod_name}_source/%{kmod_name}.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/modules/
%{__install} %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/modules/%{kmod_name}.modules
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/CHANGELOG %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/README %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/README.ServeRAID %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/TODO %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;

%clean
%{__rm} -rf %{buildroot}

%changelog
* Tue Oct 07 2014 Alan Bartlett <ajb@elrepo.org> - 1.2.1-5
- Updated to the 40700 variant of the 1.2.1 source tarball.

* Wed Jun 11 2014 Alan Bartlett <ajb@elrepo.org> - 1.2.1-4
- Using the 40300 variant of the 1.2.1 source tarball.
- Initial el7 build of the kmod package.
